// PSvrDlg.h : header file
//

#define WM_USER_UPDATE WM_USER+0x100

UINT ThreadFunc (LPVOID pParam);
BOOL IsClientConnected (HANDLE hPipe);

typedef struct tagPIPEINFO {
	HANDLE hPipe;
	HWND hWnd;
} PIPEINFO;

/////////////////////////////////////////////////////////////////////////////
// CPServerDlg dialog

class CPServerDlg : public CDialog
{
// Construction
public:
	CPServerDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CPServerDlg)
	enum { IDD = IDD_PSERVER_DIALOG };
	CStatic	m_wndStatus;
	CProgressCtrl	m_wndProgress;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPServerDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HANDLE m_hPipe;
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CPServerDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnClose();
	//}}AFX_MSG
	afx_msg LONG OnUserUpdate (UINT wParam, LONG lParam);
	DECLARE_MESSAGE_MAP()
};
